Bug 5949 - The default of "ldap ssl " in smb.conf(5) is wrong.
The default of "ldap ssl " in smb.conf(5) is wrong.
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Docs
3.2.5
All All
: P3 minor
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on: 5967
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 06:00 UTC by TAKAHASHI Motonobu
Modified: 2008-12-18 18:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2008-12-07 06:00:15 UTC
In smb.conf(5):
The default value of "ldap ssl" is start_tls, but actually the default value is "On" . 

Indeed in source/param/loadparm.c:
-----
        Globals.ldap_ssl = LDAP_SSL_ON;
-----
Comment 1 Karolin Seeger 2008-12-17 02:25:36 UTC
Actually, the default is "" as LDAP_SSL_ON is not defined at all.
We will have a look at this one...
Comment 2 Karolin Seeger 2008-12-17 09:41:11 UTC
I removed "ldap ssl = on" completely as ldaps is realized with ldaps URLs in the "passdb backend" meanwhile.

The default has been changed to "ldap ssl = no" which does not change the default behaviour, but a more sensible value.

The manpage has been updated accordingly.

Closing out bug report.

Thanks for reporting!
Comment 3 TAKAHASHI Motonobu 2008-12-18 18:17:25 UTC
Thanks!
I will check when later version is released.

I found this bug occurred when Samba 3.0.23 was released.